当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装32位包的问题
帖子发表于 : 2008-10-16 7:52 

注册: 2007-06-06 17:42
帖子: 64
送出感谢: 0 次
接收感谢: 0 次
我看了这个教程,就直接把sudo apt-get install ia32-libs ia32-libs-gtk linux32 lib32asound2 复制到终端运行,但是显示下面的,具体怎么操作请讲下

1。选择合适的Ubuntu版本
在系统安装篇已经说过了,32位CPU用户安装32位版的Ubuntu,64位CPU的就安装64位版本。有人说64版本安装软件有兼容性问题。我从Ubntuu7.04开始到现在的8.04一直使用64位系统,一直都很稳定没遇到太大的问题。64位系统同样能使用32位的软件,只要在终端输入以下命令,安装相应的32位包:
sudo apt-get install ia32-libs ia32-libs-gtk linux32 lib32asound2
,64位系统在一般的应用中不但不会比32位系统慢,甚至还能有5~10%的性能提升,这是我对32位系统与64位系统对比后的体会。
如果有朋友在64位系统中遇到任何问题,可到
viewforum.php?f=85
发帖求助




sharethl@sharethl-laptop:~$ sudo apt-get install ia32-libs ia32-libs-gtk linux32 lib32asound2
[sudo] password for sharethl:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
软件包 ia32-libs-gtk 是一个由下面的软件包提供的虚拟软件包:
ia32-libs 2.2ubuntu11
请您明确地选择一个来进行安装。
E: 软件包 ia32-libs-gtk 还没有可供安装的候选者


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装32位包的问题
帖子发表于 : 2008-10-16 8:13 

注册: 2007-06-06 17:42
帖子: 64
送出感谢: 0 次
接收感谢: 0 次
我已经安装了下面的东西

sudo aptitude install ia32-libs*
sudo aptitude install getlibs # ---------已经被阻止安装????什么意思

运行QQ for linux.deb 时候还是不支持


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装32位包的问题
帖子发表于 : 2008-10-21 23:13 

注册: 2008-05-13 17:58
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
Ubuntu 64bit 安装32bit软件
64bit系统构架的先进不由多讲,只是应用程序相对少了很多。在论坛中摸爬了好些日子,终于找到了解决方法:

首先安张32位库
sudo apt-get install ia32-libs*

然后就可以安装32位包
安装时加–force-architecture

安装命令QQ 命令 如下
进入安装包所在的目录
sudo dpkg -i --force-all linuxqq_v1.0-preview2_i386.deb

本人亲自试过 QQ 已经顺利的运行了


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装32位包的问题
帖子发表于 : 2009-02-08 15:40 

注册: 2009-01-14 13:09
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
非常实用,感谢!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译